MOUSED(8)

NAME
moused - pass mouse data to console driver

SYNOPSIS
moused [-DRcdfs] [-r samplerate] [-S baudrate] -p port -t mousetype

DESCRIPTION
The mouse daemon listens to a serial port for mouse data, interprets the data and then passes ioctls to the console driver.

The options are as follows:

-D  Lower DTR on the serial port.

-R  Lower RTS on the serial port.

-S baudrate
    Select the baudrate for the serial port (1200 to 9600).

-c  Enable ChordMiddle option.

-d  Enable debugging messages.

-f  Do not become a daemon and instead run as a foreground process.

-p port
    Use port as the serial port to communicate with the mouse.

-r  Set the bit sample rate on devices that support it (in Dots Per Inch).

-s  Select a baudrate of 9600 for the serial line.

-t mousetype
    Specify the type of mouse attached to the serial port. Valid mouse types are:

    microsoft
        Microsoft mouse
    mousesystems
        Mouse systems Corp mouse
    mmseries
        MM Series mouse
    logitech
        Logitech mouse
    busmouse
        A bus mouse
    mouseman
        Logitech MouseMan and TrackMan
    ps/2
        PS/2 mouse
    mmhittab
        MM HitTablet

SEE ALSO
keyboard(4), pcvt(4), screen(4)

AUTHORS
The moused command was written by Michael Smith. This manual page was written by Mike Pritchard <mpp@FreeBSD.org>.

HISTORY
The moused command first appeared in FreeBSD 2.2.